Summary: Library for extracting extra information from image files
Name: libexif
Version: 0.6.12
Release: 3.2.1
Group: System Environment/Libraries
License: LGPL
URL: http://libexif.sourceforge.net/
Source0: http://umn.dl.sourceforge.net/sourceforge/libexif/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

Patch0: libexif-0.6.12-gcc4.patch
# fixed in libexif CVS
Patch1: libexif-0.6.12-odd.patch
Patch2: libexif-0.6.12-recurse.patch

%description
Most digital cameras produce EXIF files, which are JPEG files with
extra tags that contain information about the image. The EXIF library
allows you to parse an EXIF file and read the data from those tags.

%package devel
Summary: Files needed for libexif application development
Group: Development/Libraries
Requires: libexif = %{version}-%{release}

%description devel
The libexif-devel package contains the static libraries and header files
for writing programs that use libexif.

%prep
%setup -q
%patch0 -p1 -b .gcc4
%patch1 -p1 -b .odd
%patch2 -p1 -b .recurse

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
find $RPM_BUILD_ROOT -name "*.la" -exec rm {} \;
%find_lang libexif-12

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f libexif-12.lang
%defattr(-,root,root,-)
%doc ChangeLog COPYING README
%{_libdir}/libexif.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/libexif
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/libexif.pc

%changelog
* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.6.12-3.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.6.12-3.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri May  6 2005 Matthias Clasen <mclasen@redhat.com>
- Prevent infinite recursion (#156365)

* Sun Apr 24 2005 Matthias Clasen <mclasen@redhat.com>
- Fix MakerNote handling (#153282)

* Mon Mar 28 2005 Matthias Clasen <mclasen@redhat.com>
- Update to 0.6.12

* Tue Mar  8 2005 Marco Pesenti Gritti <mpg@redhat.com>
- Add libexif-0.5.12-buffer-overflow.patch 

* Wed Mar  2 2005 Matthias Clasen <mclasen@redhat.com> 
- Rebuild with gcc4

* Wed Nov  9 2004 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Use %%find_lang macro.
- Add %%doc files, including mandatory copy of the LGPL license.
- Use %{?_smp_mflags}
- Improve the descriptions

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Dec 22 2003 Matt Wilson <msw@redhat.com> 
- Initial build.

